Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Class DiscountInUseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.bea.commerce.ebusiness.discount.DiscountException
                      com.bea.commerce.ebusiness.discount.mgmt.DiscountInUseException

All Implemented Interfaces:
  MessageCatalogException, Serializable

public class DiscountInUseException
extends DiscountException

Indicates that a discount could not be deleted because it is being used. In this case being used simply means that at least one instance of the discount is being used in a discount association.

See Also:
  `DiscountAssociation`, Serialized Form

Field Summary

Fields inherited from class com.bea.commerce.ebusiness.discount.DiscountException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`DiscountInUseException(String messageKey)` Class constructor taking key of the associated catalog message.
`DiscountInUseException(String messageKey, Object argument)` Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`DiscountInUseException(String messageKey, Object[] arguments)` Class constructor taking key of the associated catalog message and message parameter substitution arguments.

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscountInUseException

    public DiscountInUseException(String messageKey)

  Class constructor taking key of the associated catalog message.

Parameters:
  `messageKey` - The associated catalog message key.

### DiscountInUseException

    public DiscountInUseException(String messageKey,
                                  Object argument)

  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

Parameters:
  `messageKey` - The associated catalog message key.
  `argument` - The message parameter substitution argument.

### DiscountInUseException

    public DiscountInUseException(String messageKey,
                                  Object[] arguments)

  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

Parameters:
  `messageKey` - The associated catalog message key.
  `arguments` - The message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved